- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::DiscreteValue Class Reference

`#include <DiscreteValue.h>`

Inheritance diagram for Mers::Executives::DeductiveController::DiscreteValue:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::DiscreteValue:

[legend]
List of all members.

## Public Member Functions
| DiscreteValue (DiscreteVariable *variable, const Mers::Models::Base::BaseModelValue *value)
virtual | ~DiscreteValue ()
DiscreteVariable * | getVariable () const
virtual const Mers::Models::Base::BaseModelValue * | getValue () const
## Protected Attributes
const Mers::Models::Base::BaseModelValue * | mValue
| Our underlying value.

## Detailed Description

Value Identifier that is associated with an observation interface. This can then be used to determine the internal value desired to a specific variable.

Author:
  Paul H. Elliott

Definition at line 37 of file DiscreteValue.h.

## Constructor & Destructor Documentation

DiscreteValue::DiscreteValue | ( | DiscreteVariable * | variable,
|  | const Mers::Models::Base::BaseModelValue * | value |
| ) |  |  |

Constructs a new named descrete value for use with an observation interface. This object can then be used to determine the underlying value of the requested observation.

Parameters:

  | variable | The variable that this value belongs to.
  | value | The underlying value of this object.

Definition at line 25 of file DiscreteValue.cpp.

DiscreteValue::~DiscreteValue | ( |  | ) | `[virtual]`

Destroys this object.

Reimplemented from Mers::Interfaces::DiscreteValue.

Definition at line 33 of file DiscreteValue.cpp.

## Member Function Documentation

DiscreteVariable * DiscreteValue::getVariable | ( |  | ) | const

Returns the variable associated with this value.

Returns:
  The variable to which this value belongs.

Reimplemented from Mers::Interfaces::DiscreteValue.

Definition at line 39 of file DiscreteValue.cpp.

References Mers::Interfaces::DiscreteValue::mVariable.

const BaseModelValue * DiscreteValue::getValue | ( |  | ) | const`[virtual]`

Returns the underlying value of this object.

Definition at line 46 of file DiscreteValue.cpp.

References mValue.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/DiscreteValue.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/DiscreteValue.cpp